| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RTPSParticipantAllocationAttributes Struct Reference

Holds allocation limits affecting collections managed by a participant. More...

`#include <RTPSParticipantAllocationAttributes.hpp>`

## Public Member Functions

ResourceLimitedContainerConfig | total_readers () const
ResourceLimitedContainerConfig | total_writers () const
bool | operator== (const RTPSParticipantAllocationAttributes &b) const

## Public Attributes

RemoteLocatorsAllocationAttributes | locators
| Holds limits for collections of remote locators.
ResourceLimitedContainerConfig | participants
| Defines the allocation behaviour for collections dependent on the total number of participants.
ResourceLimitedContainerConfig | readers
| Defines the allocation behaviour for collections dependent on the total number of readers per participant.
ResourceLimitedContainerConfig | writers
| Defines the allocation behaviour for collections dependent on the total number of writers per participant.
SendBuffersAllocationAttributes | send_buffers
| Defines the allocation behaviour for the send buffer manager.
VariableLengthDataLimits | data_limits
| Holds limits for variable-length data.
fastdds::rtps::ContentFilterProperty::AllocationConfiguration | content_filter
| Defines the allocation behavior of content filter discovery information.

## Detailed Description

Holds allocation limits affecting collections managed by a participant.

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const RTPSParticipantAllocationAttributes & | b | ) | const

inline

## ◆ total_readers()

ResourceLimitedContainerConfig total_readers | ( |  | ) | const

inline

Returns
  the allocation config for the total of readers in the system (participants * readers)

## ◆ total_writers()

ResourceLimitedContainerConfig total_writers | ( |  | ) | const

inline

Returns
  the allocation config for the total of writers in the system (participants * writers)

## Member Data Documentation

## ◆ content_filter

fastdds::rtps::ContentFilterProperty::AllocationConfiguration content_filter

Defines the allocation behavior of content filter discovery information.

## ◆ data_limits

VariableLengthDataLimits data_limits

Holds limits for variable-length data.

## ◆ locators

RemoteLocatorsAllocationAttributes locators

Holds limits for collections of remote locators.

## ◆ participants

ResourceLimitedContainerConfig participants

Defines the allocation behaviour for collections dependent on the total number of participants.

## ◆ readers

ResourceLimitedContainerConfig readers

Defines the allocation behaviour for collections dependent on the total number of readers per participant.

## ◆ send_buffers

SendBuffersAllocationAttributes send_buffers

Defines the allocation behaviour for the send buffer manager.

## ◆ writers

ResourceLimitedContainerConfig writers

Defines the allocation behaviour for collections dependent on the total number of writers per participant.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAllocationAttributes.hpp